# File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.

from typing import List, Optional

from .._models import BaseModel

__all__ = [
    "BrandRetrieveSimplifiedResponse",
    "Brand",
    "BrandBackdrop",
    "BrandBackdropColor",
    "BrandBackdropResolution",
    "BrandColor",
    "BrandLogo",
    "BrandLogoColor",
    "BrandLogoResolution",
]


class BrandBackdropColor(BaseModel):
    hex: Optional[str] = None
    """Color in hexadecimal format"""

    name: Optional[str] = None
    """Name of the color"""


class BrandBackdropResolution(BaseModel):
    aspect_ratio: Optional[float] = None
    """Aspect ratio of the image (width/height)"""

    height: Optional[int] = None
    """Height of the image in pixels"""

    width: Optional[int] = None
    """Width of the image in pixels"""


class BrandBackdrop(BaseModel):
    colors: Optional[List[BrandBackdropColor]] = None
    """Array of colors in the backdrop image"""

    resolution: Optional[BrandBackdropResolution] = None
    """Resolution of the backdrop image"""

    url: Optional[str] = None
    """URL of the backdrop image"""


class BrandColor(BaseModel):
    hex: Optional[str] = None
    """Color in hexadecimal format"""

    name: Optional[str] = None
    """Name of the color"""


class BrandLogoColor(BaseModel):
    hex: Optional[str] = None
    """Color in hexadecimal format"""

    name: Optional[str] = None
    """Name of the color"""


class BrandLogoResolution(BaseModel):
    aspect_ratio: Optional[float] = None
    """Aspect ratio of the image (width/height)"""

    height: Optional[int] = None
    """Height of the image in pixels"""

    width: Optional[int] = None
    """Width of the image in pixels"""


class BrandLogo(BaseModel):
    colors: Optional[List[BrandLogoColor]] = None
    """Array of colors in the logo"""

    group: Optional[int] = None
    """Group identifier for logos"""

    mode: Optional[str] = None
    """Mode of the logo, e.g., 'dark', 'light'"""

    resolution: Optional[BrandLogoResolution] = None
    """Resolution of the logo image"""

    type: Optional[str] = None
    """Type of the logo based on resolution (e.g., 'icon', 'logo', 'banner')"""

    url: Optional[str] = None
    """URL of the logo image"""


class Brand(BaseModel):
    backdrops: Optional[List[BrandBackdrop]] = None
    """An array of backdrop images for the brand"""

    colors: Optional[List[BrandColor]] = None
    """An array of brand colors"""

    domain: Optional[str] = None
    """The domain name of the brand"""

    logos: Optional[List[BrandLogo]] = None
    """An array of logos associated with the brand"""

    title: Optional[str] = None
    """The title or name of the brand"""


class BrandRetrieveSimplifiedResponse(BaseModel):
    brand: Optional[Brand] = None
    """Simplified brand information"""

    code: Optional[int] = None
    """HTTP status code of the response"""

    status: Optional[str] = None
    """Status of the response, e.g., 'ok'"""
